Bug 442387 - pkiconsole - Console freezes after making and saving changes in Certificate Manger > Notification
pkiconsole - Console freezes after making and saving changes in Certificate M...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
unspecified
All Linux
high Severity low
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-14 12:21 EDT by Chris Cayetano
Modified: 2015-01-04 18:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Cayetano 2008-04-14 12:21:14 EDT
(Similar to Bug# 441896, but different area in console)

Description of problem:

When enabling email noitifcation and clicking 'Save' the console "freezes" not
allowing the user to click on enything else or do anything else. The only
resolutiong is to kill the process.

Version-Release number of selected component (if applicable):

pki-console 1.0.0-1.fc8

How reproducible:

Always.

Steps to Reproduce:

1. Expand Certificate Manager
2. Select Notification
3. Select [Certifcate Issued] tab
4. Click Enable Certificate Revoked notification
5. Enter Sender's E-mail Address
6. Click Save

Save button greys out, suggesting save was successful

PKI Console then "freezes" not allow any other action to occur. Click within the
other areas, even the top menu, produces no action.

Only resolution is to terminate the application and restart

The reverse also applies, if unchecking any of the checked boxes, and clicking
Save, the save appears to be successful, but you are unable to click or do
anything else in the application.

Actual results:

PKI Console freezes after a Save

Expected results:

After clicking Save, the console should allow for the next action.

Additional info:

Within Notification, console freeze also occurs under tabs [Certificate Revoked]
and [Request In Queue]
Comment 2 Andrew Wnuk 2009-02-16 19:55:47 EST
attachment (id=332159)
proposed work-around
https://bugzilla.redhat.com/attachment.cgi?id=332159
Comment 3 Matthew Harmsen 2009-02-16 19:56:52 EST
attachment (id=332159) +mharmsen
Comment 4 Andrew Wnuk 2009-02-16 20:00:06 EST
svn commit base/console/src/com/netscape/admin/certsrv/config/CMSTabPanel.java                        
Sending        base/console/src/com/netscape/admin/certsrv/config/CMSTabPanel.java
Transmitting file data .
Committed revision 233.

svn commit dogtag/console/pki-console.spec                         
Sending        dogtag/console/pki-console.spec
Transmitting file data .
Committed revision 234.
Comment 5 Jenny Galipeau 2009-06-05 15:30:35 EDT
Verified:

Console does not freeze making changes to Certificate Manager Notification options.

Note You need to log in before you can comment on or make changes to this bug.